Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4219

Summary: joe leaves DEADJOE world-readable
Product: [Retired] Red Hat Linux Reporter: Louis Mandelstam <louism>
Component: joeAssignee: Cristian Gafton <gafton>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: 6.0Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.securityfocus.com/templates/archive.pike?list=1&date=1999-07-15&msg=Pine.BSI.3.95.990717040216.12080A-100000@blues.jpj.net
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-02 16:11:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Louis Mandelstam 1999-07-27 12:20:08 UTC
This was reported on BUGTRAQ on Jul 17 1999.  Please see
quoted URL for an archived copy of the original BUGTRAQ
post.

Patch offered in the post (I haven't tested it): (a bit
broken by the web form)

--- b.c.orig    Fri Jan 20 00:38:25 1995
+++ b.c Sat Jul 17 01:54:09 1999
@@ -21,6 +21,7 @@
 #include <pwd.h>
 #endif
 #include <errno.h>
+#include <sys/types.h>

 #include "config.h"
 #include "blocks.h"
@@ -1990,6 +1991,7 @@
  {
  long tim=time(0);
  B *b;
+ mode_t mask=umask (077); /* no access to DEADJOE for
others */
  FILE *f=fopen("DEADJOE","a");
  fprintf(f,"\n*** Modified files in JOE when it aborted on
%s",ctime(&tim));
  if(sig) fprintf(f,"*** JOE was aborted by signal
%d\n",sig);

Comment 1 Jeff Johnson 1999-09-02 16:11:59 UTC
Fiexed in joe-2.8-21.